Contenu | Rechercher | Menus

Annonce

Ubuntu-fr vend de superbes t-shirts et de belles clés USB 32Go
Rendez-vous sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 19/10/2019, à 20:40

lebuisson

dépendances non satisfaites

Bonjour,
J'ai eu qgis, depuis une mise à jour compliquée je n'arrive pas à le réinstaller.
Mon niveau est faible.
Merci de votre aide.

sudo apt install qgis
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation : 

Les paquets suivants contiennent des dépendances non satisfaites :
 qgis : Dépend: python3-qgis (= 3.4.6+dfsg-1~xenial1) mais 1:3.4.7+24xenial-ubuntugis devra être installé
        Dépend: qgis-common (= 3.4.6+dfsg-1~xenial1) mais 1:3.4.12+24xenial-ubuntugis devra être installé
        Dépend: qgis-providers (= 3.4.6+dfsg-1~xenial1) mais ne sera pas installé
        Recommande: qgis-plugin-grass mais ne sera pas installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».

Hors ligne

#2 Le 19/10/2019, à 20:57

xubu1957

Re : dépendances non satisfaites

Bonjour,

Montre :

sudo apt update

Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 18.04.1 LTS - Lenovo T410 -Toshiba Satellite A300  Membre de Linux-Azur

Hors ligne

#3 Le 20/10/2019, à 08:06

lebuisson

Re : dépendances non satisfaites

Bonjour,
merci de m'aider,

sudo apt update
[sudo] Mot de passe de didier : 
Atteint:1 http://fr.archive.ubuntu.com/ubuntu xenial InRelease
Atteint:2 http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu xenial InRelease
Atteint:3 http://fr.archive.ubuntu.com/ubuntu xenial-updates InRelease         
Réception de:4 http://qgis.org/ubuntugis-ltr xenial InRelease [3 687 B]        
Atteint:5 http://fr.archive.ubuntu.com/ubuntu xenial-backports InRelease       
Atteint:6 http://ppa.launchpad.net/claydoh/kmymoney2-kde4/ubuntu xenial InRelease
Atteint:7 http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu xenial InRelease
Réception de:8 http://security.ubuntu.com/ubuntu xenial-security InRelease [109 kB]
Err:4 http://qgis.org/ubuntugis-ltr xenial InRelease                           
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 51F523511C7028C3
Atteint:9 http://ppa.launchpad.net/ubuntugis/ppa/ubuntu xenial InRelease       
Réception de:10 https://qgis.org/ubuntugis-ltr xenial InRelease [3 687 B]      
Atteint:11 http://ppa.launchpad.net/yannubuntu/boot-repair/ubuntu xenial InRelease
Err:10 https://qgis.org/ubuntugis-ltr xenial InRelease                         
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 51F523511C7028C3
Réception de:12 http://security.ubuntu.com/ubuntu xenial-security/main amd64 DEP-11 Metadata [74,8 kB]
Réception de:13 http://security.ubuntu.com/ubuntu xenial-security/main DEP-11 64x64 Icons [83,8 kB]
Réception de:14 http://security.ubuntu.com/ubuntu xenial-security/universe amd64 DEP-11 Metadata [124 kB]
Réception de:15 http://security.ubuntu.com/ubuntu xenial-security/universe DEP-11 64x64 Icons [194 kB]
Réception de:16 http://security.ubuntu.com/ubuntu xenial-security/multiverse amd64 DEP-11 Metadata [2 464 B]
Lecture des listes de paquets... Fait                
W: Erreur de GPG : http://qgis.org/ubuntugis-ltr xenial InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 51F523511C7028C3
E: Le dépôt http://qgis.org/ubuntugis-ltr xenial InRelease n'est pas signé.
N: Les mises à jour depuis un tel dépôt ne peuvent s'effectuer de manière sécurisée, et sont donc désactivées par défaut
N: Voir les pages de manuel d'apt-secure(8) pour la création des dépôts et les détails de configuration d'un utilisateur.
W: Erreur de GPG : https://qgis.org/ubuntugis-ltr xenial InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 51F523511C7028C3
E: Le dépôt https://qgis.org/ubuntugis-ltr xenial InRelease n'est pas signé.
N: Les mises à jour depuis un tel dépôt ne peuvent s'effectuer de manière sécurisée, et sont donc désactivées par défaut
N: Voir les pages de manuel d'apt-secure(8) pour la création des dépôts et les détails de configuration d'un utilisateur.
W: Duplicate sources.list entry http://qgis.org/ubuntugis-ltr xenial Release

Hors ligne

#4 Le 20/10/2019, à 08:11

xubu1957

Re : dépendances non satisfaites

Bonjour,

Tente :

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-key 51F523511C7028C3

> gis.stackexchange.com/questions/332245/error-adding-qgis-org-repository-public-key-to-apt-keyring


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 18.04.1 LTS - Lenovo T410 -Toshiba Satellite A300  Membre de Linux-Azur

Hors ligne

#5 Le 20/10/2019, à 10:50

lebuisson

Re : dépendances non satisfaites

Voilà, c'est fait.

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-key 51F523511C7028C3
[sudo] Mot de passe de didier : 
Executing: /tmp/tmp.oiL3qlneih/gpg.1.sh --keyserver
keyserver.ubuntu.com
--recv-key
51F523511C7028C3
gpg: demande de la clef 1C7028C3 sur le serveur hkp keyserver.ubuntu.com
gpg: clef 1C7028C3 : clef publique « QGIS Archive Automatic Signing Key (2019) <qgis-developer@lists.osgeo.org> » importée
gpg: Quantité totale traitée : 1
gpg:               importées : 1  (RSA: 1)

Ensuite, j'ai fait une tentative d'installation : même réponse.

Hors ligne

#6 Le 20/10/2019, à 10:55

xubu1957

Re : dépendances non satisfaites

Montre :

apt-cache showpkg qgis

J'ai pompé dans > QGIS: installer la dernière version sur 16.04


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 18.04.1 LTS - Lenovo T410 -Toshiba Satellite A300  Membre de Linux-Azur

Hors ligne

#7 Le 20/10/2019, à 10:56

NicoApi73

Re : dépendances non satisfaites

Bonjour,

sudo apt install -f

En ligne

#8 Le 20/10/2019, à 12:20

lebuisson

Re : dépendances non satisfaites

réponse pour xubu1957

didier@didier-System-Product-Name:~$ apt-cache showpkg qgis
Package: qgis
Versions: 
3.4.6+dfsg-1~xenial1 (/var/lib/apt/lists/ppa.launchpad.net_ubuntugis_ubuntugis-unstable_ubuntu_dists_xenial_main_binary-amd64_Packages)
 Description Language: 
                 File: /var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_xenial_universe_binary-amd64_Packages
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: 
                 File: /var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_xenial_universe_binary-i386_Packages
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: fr
                 File: /var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_xenial_universe_i18n_Translation-fr
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: en
                 File: /var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_xenial_universe_i18n_Translation-en
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: 
                 File: /var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_xenial-updates_universe_binary-amd64_Packages
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: 
                 File: /var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_xenial-updates_universe_binary-i386_Packages
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: 
                 File: /var/lib/apt/lists/qgis.org_ubuntugis-ltr_dists_xenial_main_binary-i386_Packages
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: 
                 File: /var/lib/apt/lists/ppa.launchpad.net_ubuntugis_ubuntugis-unstable_ubuntu_dists_xenial_main_binary-amd64_Packages
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: 
                 File: /var/lib/apt/lists/ppa.launchpad.net_ubuntugis_ubuntugis-unstable_ubuntu_dists_xenial_main_binary-i386_Packages
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: 
                 File: /var/lib/apt/lists/ppa.launchpad.net_ubuntugis_ppa_ubuntu_dists_xenial_main_binary-amd64_Packages
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: 
                 File: /var/lib/apt/lists/ppa.launchpad.net_ubuntugis_ppa_ubuntu_dists_xenial_main_binary-i386_Packages
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad

3.4.6+dfsg-1~xenial1 (/var/lib/apt/lists/ppa.launchpad.net_ubuntugis_ppa_ubuntu_dists_xenial_main_binary-amd64_Packages)
 Description Language: 
                 File: /var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_xenial_universe_binary-amd64_Packages
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: 
                 File: /var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_xenial_universe_binary-i386_Packages
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: fr
                 File: /var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_xenial_universe_i18n_Translation-fr
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: en
                 File: /var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_xenial_universe_i18n_Translation-en
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: 
                 File: /var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_xenial-updates_universe_binary-amd64_Packages
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: 
                 File: /var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_xenial-updates_universe_binary-i386_Packages
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: 
                 File: /var/lib/apt/lists/qgis.org_ubuntugis-ltr_dists_xenial_main_binary-i386_Packages
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: 
                 File: /var/lib/apt/lists/ppa.launchpad.net_ubuntugis_ubuntugis-unstable_ubuntu_dists_xenial_main_binary-amd64_Packages
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: 
                 File: /var/lib/apt/lists/ppa.launchpad.net_ubuntugis_ubuntugis-unstable_ubuntu_dists_xenial_main_binary-i386_Packages
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: 
                 File: /var/lib/apt/lists/ppa.launchpad.net_ubuntugis_ppa_ubuntu_dists_xenial_main_binary-amd64_Packages
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: 
                 File: /var/lib/apt/lists/ppa.launchpad.net_ubuntugis_ppa_ubuntu_dists_xenial_main_binary-i386_Packages
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad

2.8.6+dfsg-1ubuntu1 (/var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_xenial-updates_universe_binary-amd64_Packages)
 Description Language: 
                 File: /var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_xenial_universe_binary-amd64_Packages
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: 
                 File: /var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_xenial_universe_binary-i386_Packages
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: fr
                 File: /var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_xenial_universe_i18n_Translation-fr
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: en
                 File: /var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_xenial_universe_i18n_Translation-en
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: 
                 File: /var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_xenial-updates_universe_binary-amd64_Packages
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: 
                 File: /var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_xenial-updates_universe_binary-i386_Packages
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: 
                 File: /var/lib/apt/lists/qgis.org_ubuntugis-ltr_dists_xenial_main_binary-i386_Packages
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: 
                 File: /var/lib/apt/lists/ppa.launchpad.net_ubuntugis_ubuntugis-unstable_ubuntu_dists_xenial_main_binary-amd64_Packages
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: 
                 File: /var/lib/apt/lists/ppa.launchpad.net_ubuntugis_ubuntugis-unstable_ubuntu_dists_xenial_main_binary-i386_Packages
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: 
                 File: /var/lib/apt/lists/ppa.launchpad.net_ubuntugis_ppa_ubuntu_dists_xenial_main_binary-amd64_Packages
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: 
                 File: /var/lib/apt/lists/ppa.launchpad.net_ubuntugis_ppa_ubuntu_dists_xenial_main_binary-i386_Packages
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad

2.8.6+dfsg-1build1 (/var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_xenial_universe_binary-amd64_Packages)
 Description Language: 
                 File: /var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_xenial_universe_binary-amd64_Packages
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: 
                 File: /var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_xenial_universe_binary-i386_Packages
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: fr
                 File: /var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_xenial_universe_i18n_Translation-fr
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: en
                 File: /var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_xenial_universe_i18n_Translation-en
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: 
                 File: /var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_xenial-updates_universe_binary-amd64_Packages
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: 
                 File: /var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_xenial-updates_universe_binary-i386_Packages
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: 
                 File: /var/lib/apt/lists/qgis.org_ubuntugis-ltr_dists_xenial_main_binary-i386_Packages
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: 
                 File: /var/lib/apt/lists/ppa.launchpad.net_ubuntugis_ubuntugis-unstable_ubuntu_dists_xenial_main_binary-amd64_Packages
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: 
                 File: /var/lib/apt/lists/ppa.launchpad.net_ubuntugis_ubuntugis-unstable_ubuntu_dists_xenial_main_binary-i386_Packages
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: 
                 File: /var/lib/apt/lists/ppa.launchpad.net_ubuntugis_ppa_ubuntu_dists_xenial_main_binary-amd64_Packages
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad
 Description Language: 
                 File: /var/lib/apt/lists/ppa.launchpad.net_ubuntugis_ppa_ubuntu_dists_xenial_main_binary-i386_Packages
                  MD5: 49f76973cc4c2bd4a16872b7a79659ad


Reverse Depends: 
  qgis-common,qgis 2.18.17
  qgis-providers:i386,qgis 1.6
  qgis-providers:i386,qgis 1.6
  qgis:i386,qgis
  qgis-providers,qgis 1.6
  qgis-providers,qgis 1.6
  qgis-plugin-grass,qgis 3.4.6+dfsg-1~xenial1
  qgis-common,qgis 2.18.17
  qgis-common,qgis 2.18.17
  qgis-providers:i386,qgis 1.6
  qgis-providers:i386,qgis 1.6
  qgis:i386,qgis
  qgis-providers,qgis 1.6
  qgis-providers,qgis 1.6
  qgis-plugin-grass,qgis 3.4.6+dfsg-1~xenial1
  qgis-common,qgis 2.18.17
  qgis-plugin-globe,qgis 2.8.6+dfsg-1ubuntu1
  qgis-providers:i386,qgis 1.6
  qgis-providers:i386,qgis 1.6
  qgis:i386,qgis
  qgis-providers:i386,qgis 1.6
  qgis-providers:i386,qgis 1.6
  qgis:i386,qgis
  qgis-providers,qgis 1.6
  qgis-providers,qgis 1.6
  qgis-provider-grass,qgis 2.8.6+dfsg-1ubuntu1
  qgis-plugin-globe,qgis 2.8.6+dfsg-1build1
  qgis-providers:i386,qgis 1.6
  qgis-providers:i386,qgis 1.6
  qgis:i386,qgis
  science-geography,qgis
  qgis-providers,qgis 1.6
  qgis-providers,qgis 1.6
  qgis-provider-grass,qgis 2.8.6+dfsg-1build1
  gis-workstation,qgis
Dependencies: 
3.4.6+dfsg-1~xenial1 - python3-qgis (5 3.4.6+dfsg-1~xenial1) qgis-common (5 3.4.6+dfsg-1~xenial1) qgis-providers (5 3.4.6+dfsg-1~xenial1) gdal-abi-2-2-2 (0 (null)) libc6 (2 2.14) libgcc1 (2 1:3.0) libgdal20 (2 1.8.0) libgeos-c1v5 (2 3.4.2) libgsl2 (0 (null)) libqgis-analysis3.4.6 (2 3.4.5) libqgis-app3.4.6 (2 3.4.5) libqgis-core3.4.6 (2 3.4.6) libqgis-gui3.4.6 (2 3.4.5) libqt5core5a (2 5.5.0) libqt5gui5 (18 5.0.2) libqt5gui5-gles (2 5.0.2) libqt5keychain0 (2 0.3.0) libqt5network5 (2 5.0.2) libqt5sql5 (2 5.0.2) libqt5widgets5 (2 5.2.0) libqt5xml5 (2 5.0.2) libstdc++6 (2 5.2) ocl-icd-libopencl1 (16 (null)) libopencl1 (0 (null)) ocl-icd-libopencl1 (18 1.0) libopencl-1.1-1 (0 (null)) ocl-icd-libopencl1 (18 1.0) libopencl-1.2-1 (0 (null)) uim-qt3 (0 (null)) qgis-provider-grass (3 2.14.0) qgis-provider-grass:i386 (3 2.14.0) qgis-plugin-grass (0 (null)) gpsbabel (0 (null)) qgis-provider-grass (3 2.14.0) qgis-provider-grass:i386 (3 2.14.0) qgis:i386 (32 (null)) 
3.4.6+dfsg-1~xenial1 - python3-qgis (5 3.4.6+dfsg-1~xenial1) qgis-common (5 3.4.6+dfsg-1~xenial1) qgis-providers (5 3.4.6+dfsg-1~xenial1) gdal-abi-2-2-2 (0 (null)) libc6 (2 2.14) libgcc1 (2 1:3.0) libgdal20 (2 1.8.0) libgeos-c1v5 (2 3.4.2) libgsl2 (0 (null)) libqgis-analysis3.4.6 (2 3.4.5) libqgis-app3.4.6 (2 3.4.5) libqgis-core3.4.6 (2 3.4.6) libqgis-gui3.4.6 (2 3.4.5) libqt5core5a (2 5.5.0) libqt5gui5 (18 5.0.2) libqt5gui5-gles (2 5.0.2) libqt5keychain0 (2 0.3.0) libqt5network5 (2 5.0.2) libqt5sql5 (2 5.0.2) libqt5widgets5 (2 5.2.0) libqt5xml5 (2 5.0.2) libstdc++6 (2 5.2) ocl-icd-libopencl1 (16 (null)) libopencl1 (0 (null)) ocl-icd-libopencl1 (18 1.0) libopencl-1.1-1 (0 (null)) ocl-icd-libopencl1 (18 1.0) libopencl-1.2-1 (0 (null)) uim-qt3 (0 (null)) qgis-provider-grass (3 2.14.0) qgis-provider-grass:i386 (3 2.14.0) qgis-plugin-grass (0 (null)) gpsbabel (0 (null)) qgis-provider-grass (3 2.14.0) qgis-provider-grass:i386 (3 2.14.0) qgis:i386 (32 (null)) 
2.8.6+dfsg-1ubuntu1 - libc6 (2 2.14) libgcc1 (2 1:3.0) libgdal.so.1-1.11.3 (0 (null)) libgdal1i (2 1.8.0) libgeos-c1v5 (2 3.4.2) libgsl2 (0 (null)) libpq5 (0 (null)) libproj9 (2 4.8.0) libqgis-analysis2.8.6 (2 2.0.1) libqgis-core2.8.6 (2 2.8.6) libqgis-gui2.8.6 (2 2.8.1) libqgis-networkanalysis2.8.6 (2 2.0.1) libqscintilla2-12v5 (2 2.8.4) libqt4-network (2 4:4.6.1) libqt4-sql (2 4:4.5.3) libqt4-svg (2 4:4.5.3) libqt4-xml (2 4:4.5.3) libqtcore4 (2 4:4.8.0) libqtgui4 (2 4:4.8.0) libqtwebkit4 (0 (null)) libqwt6abi1 (2 6.1.2) libspatialite7 (2 2.4.0) libsqlite3-0 (2 3.5.9) libstdc++6 (2 5.2) python-qgis (5 2.8.6+dfsg-1ubuntu1) qgis-providers (5 2.8.6+dfsg-1ubuntu1) qgis-common (5 2.8.6+dfsg-1ubuntu1) uim-qt3 (0 (null)) qgis-provider-grass (0 (null)) qgis-plugin-globe (0 (null)) gpsbabel (0 (null)) qgis:i386 (32 (null)) 
2.8.6+dfsg-1build1 - libc6 (2 2.14) libgcc1 (2 1:3.0) libgdal.so.1-1.11.3 (0 (null)) libgdal1i (2 1.8.0) libgeos-c1v5 (2 3.4.2) libgsl2 (0 (null)) libpq5 (0 (null)) libproj9 (2 4.8.0) libqgis-analysis2.8.6 (2 2.0.1) libqgis-core2.8.6 (2 2.8.6) libqgis-gui2.8.6 (2 2.8.1) libqgis-networkanalysis2.8.6 (2 2.0.1) libqscintilla2-12v5 (2 2.8.4) libqt4-network (2 4:4.6.1) libqt4-sql (2 4:4.5.3) libqt4-svg (2 4:4.5.3) libqt4-xml (2 4:4.5.3) libqtcore4 (2 4:4.8.0) libqtgui4 (2 4:4.8.0) libqtwebkit4 (0 (null)) libqwt6abi1 (2 6.1.2) libspatialite7 (2 2.4.0) libsqlite3-0 (2 3.5.9) libstdc++6 (2 5.2) python-qgis (5 2.8.6+dfsg-1build1) qgis-providers (5 2.8.6+dfsg-1build1) qgis-common (5 2.8.6+dfsg-1build1) uim-qt3 (0 (null)) qgis-provider-grass (0 (null)) qgis-plugin-globe (0 (null)) gpsbabel (0 (null)) qgis:i386 (32 (null)) 
Provides: 
3.4.6+dfsg-1~xenial1 - 
3.4.6+dfsg-1~xenial1 - 
2.8.6+dfsg-1ubuntu1 - 
2.8.6+dfsg-1build1 - 
Reverse Provides: 
didier@didier-System-Product-Name:~$ 

Hors ligne

#9 Le 20/10/2019, à 12:22

lebuisson

Re : dépendances non satisfaites

POur NicoApi73

sudo apt install -f
[sudo] Mot de passe de didier : 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 305 non mis à jour.

Hors ligne

#10 Le 20/10/2019, à 12:27

xubu1957

Re : dépendances non satisfaites

305 non mis à jour

Il faut faire les mises à jour :

sudo apt full-upgrade

Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 18.04.1 LTS - Lenovo T410 -Toshiba Satellite A300  Membre de Linux-Azur

Hors ligne

#11 Le 20/10/2019, à 14:21

lebuisson

Re : dépendances non satisfaites

Les mises à jour sont faites.

Hors ligne

#12 Le 20/10/2019, à 14:25

xubu1957

Re : dépendances non satisfaites

Tu as redémarré l'ordi ?


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 18.04.1 LTS - Lenovo T410 -Toshiba Satellite A300  Membre de Linux-Azur

Hors ligne

#13 Le 20/10/2019, à 15:47

lebuisson

Re : dépendances non satisfaites

Je suis  en session live, car l'ordinateur n'a pas rebooté, comme lors d ma dernière mise à jour.

Hors ligne

#14 Le 21/10/2019, à 20:11

lebuisson

Re : dépendances non satisfaites

Pour redémarrer, je dois passer par le bios.
Sinon, j'ai réussi à installer qgis.

Hors ligne

#15 Le 21/10/2019, à 20:51

xubu1957

Re : dépendances non satisfaites

Bonsoir,

Tu ne pouvais redémarrer avec les touches_magiques ?


Le 15/03/2018, moko138 a écrit :

(...)
Plutôt que l'extinction mécanique forcée, qui détériore les composants et qui laisse en vrac les systèmes de fichiers des partitions montées, il faut préférer  les touches_magiques.

En l'occurrence, tu pouvais repasser en session graphique : Ctrl Alt F7
puis employer ces touches magiques.

Concrètement, pour redémarrer:
Alt+Sys  r e i s  (*)    u (*)    b

(*) attendre quelques secondes.


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 18.04.1 LTS - Lenovo T410 -Toshiba Satellite A300  Membre de Linux-Azur

Hors ligne

#16 Le 22/10/2019, à 19:55

lebuisson

Re : dépendances non satisfaites

Bonsoir,
Je découvre avec ton les touches magiques.
Ce soir encore, j'ai redémarré par le BIOS, sinon j'ai un écran noir.

Hors ligne

#17 Le 22/10/2019, à 19:58

xubu1957

Re : dépendances non satisfaites

Bonsoir,

Montre les noyaux présents :

echo; dpkg -l | grep -Ei "linux-(g|h|i|lo|mo|si|t)" | grep -v ^rc | sort -k3 | awk '{print $1,$2,$3,$4}' | column -s" " -t ; echo ; uname -mr

et le sources.list :

find /etc/apt -type f -name '*.list*' -exec bash -c 'echo -e "\n$1\n"; [[ $1 = *".list" ]] && nl -ba "$1"' _ '{}' \;
cqfd93 a écrit :

Astuce pour copier / coller sans erreur :

  • triple clic gauche pour sélectionner et copier une ligne entière

  • clic molette pour coller dans le terminal


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 18.04.1 LTS - Lenovo T410 -Toshiba Satellite A300  Membre de Linux-Azur

Hors ligne

#18 Le 23/10/2019, à 16:24

lebuisson

Re : dépendances non satisfaites

Bonjour,
Voici les noyaux:

echo; dpkg -l | grep -Ei "linux-(g|h|i|lo|mo|si|t)" | grep -v ^rc | sort -k3 | awk '{print $1,$2,$3,$4}' | column -s" " -t ; echo ; uname -mr

ii  linux-headers-4.4.0-165                4.4.0-165.193  all
ii  linux-modules-4.4.0-165-generic        4.4.0-165.193  amd64
ii  linux-modules-extra-4.4.0-165-generic  4.4.0-165.193  amd64
ii  linux-headers-4.4.0-165-generic        4.4.0-165.193  amd64
ii  linux-image-4.4.0-165-generic          4.4.0-165.193  amd64
ii  linux-generic                          4.4.0.166.174  amd64
ii  linux-signed-generic                   4.4.0.166.174  amd64
ii  linux-headers-generic                  4.4.0.166.174  amd64
ii  linux-image-generic                    4.4.0.166.174  amd64
ii  linux-signed-image-generic             4.4.0.166.174  amd64
ii  linux-headers-4.4.0-166                4.4.0-166.195  all
ii  linux-modules-4.4.0-166-generic        4.4.0-166.195  amd64
ii  linux-modules-extra-4.4.0-166-generic  4.4.0-166.195  amd64
ii  linux-headers-4.4.0-166-generic        4.4.0-166.195  amd64
ii  linux-image-4.4.0-166-generic          4.4.0-166.195  amd64

4.4.0-166-generic x86_64

Et voici sources.list:

find /etc/apt -type f -name '*.list*' -exec bash -c 'echo -e "\n$1\n"; [[ $1 = *".list" ]] && nl -ba "$1"' _ '{}' \;

/etc/apt/sources.list.d/claydoh-ubuntu-kmymoney2-kde4-xenial.list.save


/etc/apt/sources.list.d/otto-kesselgulasch-ubuntu-gimp-xenial.list.save


/etc/apt/sources.list.d/yannubuntu-ubuntu-boot-repair-xenial.list.save


/etc/apt/sources.list.d/ubuntugis-ubuntu-ubuntugis-unstable-xenial.list.save


/etc/apt/sources.list.d/ubuntugis-ubuntu-ubuntugis-unstable-xenial.list

     1	# deb-src http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu xenial main

/etc/apt/sources.list.d/otto-kesselgulasch-ubuntu-gimp-xenial.list

     1	deb http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu xenial main
     2	# deb-src http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu xenial main

/etc/apt/sources.list.d/yannubuntu-ubuntu-boot-repair-xenial.list

     1	deb http://ppa.launchpad.net/yannubuntu/boot-repair/ubuntu xenial main
     2	# deb-src http://ppa.launchpad.net/yannubuntu/boot-repair/ubuntu xenial main

/etc/apt/sources.list.d/ubuntugis-ubuntu-ppa-xenial.list

     1	deb http://ppa.launchpad.net/ubuntugis/ppa/ubuntu xenial main
     2	# deb-src http://ppa.launchpad.net/ubuntugis/ppa/ubuntu xenial main

/etc/apt/sources.list.d/claydoh-ubuntu-kmymoney2-kde4-xenial.list

     1	deb http://ppa.launchpad.net/claydoh/kmymoney2-kde4/ubuntu xenial main
     2	# deb-src http://ppa.launchpad.net/claydoh/kmymoney2-kde4/ubuntu xenial main

/etc/apt/sources.list.d/ubuntugis-ubuntu-ppa-xenial.list.save


/etc/apt/sources.list

     1	# deb cdrom:[Ubuntu 16.04.1 LTS _Xenial Xerus_ - Release amd64 (20160719)]/ xenial main restricted
     2	
     3	# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
     4	# newer versions of the distribution.
     5	deb http://fr.archive.ubuntu.com/ubuntu/ xenial main restricted
     6	# deb-src http://fr.archive.ubuntu.com/ubuntu/ xenial main restricted
     7	
     8	## Major bug fix updates produced after the final release of the
     9	## distribution.
    10	deb http://fr.archive.ubuntu.com/ubuntu/ xenial-updates main restricted
    11	# deb-src http://fr.archive.ubuntu.com/ubuntu/ xenial-updates main restricted
    12	
    13	## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
    14	## team, and may not be under a free licence. Please satisfy yourself as to
    15	## your rights to use the software. Also, please note that software in
    16	## universe WILL NOT receive any review or updates from the Ubuntu security
    17	## team.
    18	deb http://fr.archive.ubuntu.com/ubuntu/ xenial universe
    19	# deb-src http://fr.archive.ubuntu.com/ubuntu/ xenial universe
    20	deb http://fr.archive.ubuntu.com/ubuntu/ xenial-updates universe
    21	# deb-src http://fr.archive.ubuntu.com/ubuntu/ xenial-updates universe
    22	
    23	## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu 
    24	## team, and may not be under a free licence. Please satisfy yourself as to 
    25	## your rights to use the software. Also, please note that software in 
    26	## multiverse WILL NOT receive any review or updates from the Ubuntu
    27	## security team.
    28	deb http://fr.archive.ubuntu.com/ubuntu/ xenial multiverse
    29	# deb-src http://fr.archive.ubuntu.com/ubuntu/ xenial multiverse
    30	deb http://fr.archive.ubuntu.com/ubuntu/ xenial-updates multiverse
    31	# deb-src http://fr.archive.ubuntu.com/ubuntu/ xenial-updates multiverse
    32	
    33	## N.B. software from this repository may not have been tested as
    34	## extensively as that contained in the main release, although it includes
    35	## newer versions of some applications which may provide useful features.
    36	## Also, please note that software in backports WILL NOT receive any review
    37	## or updates from the Ubuntu security team.
    38	deb http://fr.archive.ubuntu.com/ubuntu/ xenial-backports main restricted universe multiverse
    39	# deb-src http://fr.archive.ubuntu.com/ubuntu/ xenial-backports main restricted universe multiverse
    40	
    41	## Uncomment the following two lines to add software from Canonical's
    42	## 'partner' repository.
    43	## This software is not part of Ubuntu, but is offered by Canonical and the
    44	## respective vendors as a service to Ubuntu users.
    45	# deb http://archive.canonical.com/ubuntu xenial partner
    46	# deb-src http://archive.canonical.com/ubuntu xenial partner
    47	
    48	deb http://security.ubuntu.com/ubuntu xenial-security main restricted
    49	# deb-src http://security.ubuntu.com/ubuntu xenial-security main restricted
    50	deb http://security.ubuntu.com/ubuntu xenial-security universe
    51	# deb-src http://security.ubuntu.com/ubuntu xenial-security universe
    52	deb http://security.ubuntu.com/ubuntu xenial-security multiverse
    53	# deb-src http://security.ubuntu.com/ubuntu xenial-security multiverse
    54	deb https://qgis.org/ubuntugis-ltr xenial main
    55	# deb-src https://qgis.org/ubuntugis-ltr xenial main
    56	deb http://qgis.org/ubuntugis-ltr xenial main
    57	deb-src http://qgis.org/ubuntugis-ltr xenial main
    58	deb http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu xenial main

/etc/apt/sources.list.save

Hors ligne

#19 Le 23/10/2019, à 16:32

xubu1957

Re : dépendances non satisfaites

Bonjour,

54	deb https://qgis.org/ubuntugis-ltr xenial main
    55	# deb-src https://qgis.org/ubuntugis-ltr xenial main
    56	deb http://qgis.org/ubuntugis-ltr xenial main
    57	deb-src http://qgis.org/ubuntugis-ltr xenial main

Je pense qu'il y a un doublon, si un aidant expert pouvait le dégager, étant peu habitué de ces opérations.


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 18.04.1 LTS - Lenovo T410 -Toshiba Satellite A300  Membre de Linux-Azur

Hors ligne

#20 Le 24/10/2019, à 10:49

nany

Re : dépendances non satisfaites

Bonjour,


xubu1957 a écrit :

Je pense qu'il y a un doublon, si un aidant expert pouvait le dégager, étant peu habitué de ces opérations.

@lebuisson ; donne le retour de :

sudo sed -i '56,57d' /etc/apt/sources.list && sudo apt clean && sudo apt update

Le mot de passe sudo ne s'affiche pas
Comment bien utiliser les balises BBcode
LIBRARIES ARE NOT BOOK-STORES! − Une souris, des souris. Un souci, des soucis. Une énigme résolue, un problème résolu.
J’ai forké le compteur-couche-tard.

Hors ligne

#21 Le 24/10/2019, à 11:20

xubu1957

Re : dépendances non satisfaites

Bonjour,

Merci nany pour ton intervention. smile


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 18.04.1 LTS - Lenovo T410 -Toshiba Satellite A300  Membre de Linux-Azur

Hors ligne

#22 Le 24/10/2019, à 18:55

lebuisson

Re : dépendances non satisfaites

Bonjour,
Voici le résultat,

sudo sed -i '56,57d' /etc/apt/sources.list && sudo apt clean && sudo apt update
[sudo] Mot de passe de didier : 
Atteint :1 http://fr.archive.ubuntu.com/ubuntu xenial InRelease
Atteint :2 http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu xenial InRelease
Atteint :3 http://fr.archive.ubuntu.com/ubuntu xenial-updates InRelease        
Atteint :4 http://fr.archive.ubuntu.com/ubuntu xenial-backports InRelease      
Atteint :5 http://ppa.launchpad.net/claydoh/kmymoney2-kde4/ubuntu xenial InRelease
Atteint :6 http://security.ubuntu.com/ubuntu xenial-security InRelease         
Atteint :7 http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu xenial InRelease
Atteint :8 https://qgis.org/ubuntugis-ltr xenial InRelease                  
Atteint :9 http://ppa.launchpad.net/ubuntugis/ppa/ubuntu xenial InRelease   
Atteint :10 http://ppa.launchpad.net/yannubuntu/boot-repair/ubuntu xenial InRelease
Lecture des listes de paquets... Fait                                       
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
9 paquets peuvent être mis à jour. Exécutez « apt list --upgradable » pour les voir.

Hors ligne

#23 Le 24/10/2019, à 19:32

nany

Re : dépendances non satisfaites

Bien, il n’y a plus d’erreur sur l’update. En revanche je vois deux sources ubuntugis, cela pourrait créer des conflits.
Donne le retour de :

cd /etc/apt/sources.list.d && sudo rm -v ubuntugis* && cd && sudo apt clean && sudo apt update

Le mot de passe sudo ne s'affiche pas
Comment bien utiliser les balises BBcode
LIBRARIES ARE NOT BOOK-STORES! − Une souris, des souris. Un souci, des soucis. Une énigme résolue, un problème résolu.
J’ai forké le compteur-couche-tard.

Hors ligne

#24 Le 24/10/2019, à 20:03

lebuisson

Re : dépendances non satisfaites

 cd /etc/apt/sources.list.d && sudo rm -v ubuntugis* && cd && sudo apt clean && sudo apt update
[sudo] Mot de passe de didier : 
'ubuntugis-ubuntu-ppa-xenial.list' supprimé
'ubuntugis-ubuntu-ppa-xenial.list.save' supprimé
'ubuntugis-ubuntu-ubuntugis-unstable-xenial.list' supprimé
'ubuntugis-ubuntu-ubuntugis-unstable-xenial.list.save' supprimé
Atteint :1 http://fr.archive.ubuntu.com/ubuntu xenial InRelease
Atteint :2 http://fr.archive.ubuntu.com/ubuntu xenial-updates InRelease        
Atteint :3 http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu xenial InRelease
Atteint :4 http://fr.archive.ubuntu.com/ubuntu xenial-backports InRelease      
Atteint :5 http://ppa.launchpad.net/claydoh/kmymoney2-kde4/ubuntu xenial InRelease
Réception de :6 http://security.ubuntu.com/ubuntu xenial-security InRelease [109 kB]
Atteint :7 http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu xenial InRelease
Atteint :8 http://ppa.launchpad.net/yannubuntu/boot-repair/ubuntu xenial InRelease
Atteint :9 https://qgis.org/ubuntugis-ltr xenial InRelease                     
109 ko réceptionnés en 1s (107 ko/s)
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
9 paquets peuvent être mis à jour. Exécutez « apt list --upgradable » pour les voir.

Hors ligne

#25 Le 24/10/2019, à 20:15

nany

Re : dépendances non satisfaites

Bon, eh bien, pour moi c’est OK.


Le mot de passe sudo ne s'affiche pas
Comment bien utiliser les balises BBcode
LIBRARIES ARE NOT BOOK-STORES! − Une souris, des souris. Un souci, des soucis. Une énigme résolue, un problème résolu.
J’ai forké le compteur-couche-tard.

Hors ligne